## gsettings-desktop-schemas 45.0

=== debian/changelog ===
gsettings-desktop-schemas (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add dark-theme migration script using dh-migrations
    - Drop Breaks: ukwm because ukwm still runs but fails to build from source
      for unrelated reasons

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 14:58:08 -0400

gsettings-desktop-schemas (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 14:41:16 -0400

gsettings-desktop-schemas (45~rc-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add dark-theme migration script using dh-migrations
  * Drop Breaks: ukwm because ukwm still runs but fails to build from source
    for unrelated reasons

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 13:24:00 -0400

gsettings-desktop-schemas (45~rc-1) unstable; urgency=medium

  * New upstream release
    - media-handling: Don't autostart software by default when media is inserted
      (LP: #1983778, LP: #1617620)
  * Add Breaks against packages that used dropped toggle-shaded
  * Drop obsolete Breaks

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 12:48:33 -0400

gsettings-desktop-schemas (44.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:08:03 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gsettings-desktop-schemas
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-migrations,
               libglib2.0-dev (>= 2.31.0),
               libgirepository1.0-dev (>= 1.31.0),
               meson (>= 0.57.0)
Standards-Version: 4.6.2
Rules-Requires-Root: no
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas/tree/ubuntu/master
Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git -b ubuntu/master
Homepage: https://www.gnome.org/

Package: gsettings-desktop-schemas
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-shell (<< 44),
        gnome-panel (<< 3.49),
        libmutter-11-0,
        metacity (<< 1:3.49),
#        ukwm (<< 1.2.0-2.1~),
Description: GSettings desktop-wide schemas
 gsettings-desktop-schemas contains a collection of GSettings schemas for
 settings shared by various components of a desktop.

Package: gsettings-desktop-schemas-dev
Section: libdevel
Architecture: any
Depends: gsettings-desktop-schemas (>= ${source:Version}),
         gir1.2-gdesktopenums-3.0 (= ${binary:Version}),
         ${misc:Depends}
Multi-arch: same
Description: Development files for GSettings desktop-wide schemas
 gsettings-desktop-schemas contains a collection of GSettings schemas for
 settings shared by various components of a desktop.
 .
 This package contains the development files.

Package: gir1.2-gdesktopenums-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Multi-arch: same
Description: GObject introspection for GSettings desktop-wide schemas
 gsettings-desktop-schemas contains a collection of GSettings schemas for
 settings shared by various components of a desktop.
 .
 This package contains introspection data for GSettings desktop-wide schemas. It
 can be used by packages using the GIRepository format to generate
 dynamic bindings.

## gsettings-desktop-schemas 46.0

=== debian/changelog ===
gsettings-desktop-schemas (46.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining change:
    - Add ubuntu_lock-on-suspend.patch
  * Drop dark-theme migration script using dh-migrations:
    not needed after Ubuntu 24.04 LTS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 15:48:18 -0400

gsettings-desktop-schemas (46.0-2) unstable; urgency=medium

  * Drop patch to avoid jpeg-xl being used for default wallpaper

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Jun 2024 10:42:45 -0400

gsettings-desktop-schemas (46.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add dark-theme migration script using dh-migrations

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 18 Mar 2024 19:57:44 -0400

gsettings-desktop-schemas (46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 18 Mar 2024 19:50:14 -0400

gsettings-desktop-schemas (46~rc-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add dark-theme migration script using dh-migrations

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 12 Mar 2024 08:39:35 -0400

gsettings-desktop-schemas (46~rc-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Make default clock format overridable by translators
  * debian/patches/Change-default-clock-format-back-to-24h-for-non-US-locale.patch:
    Drop upstream patch included in 46.rc

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 11 Mar 2024 11:57:01 -0400

gsettings-desktop-schemas (46~beta-3ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add dark-theme migration script using dh-migrations

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 10:05:04 -0500

gsettings-desktop-schemas (46~beta-3) unstable; urgency=medium

  * Team upload
  * d/p/Change-default-clock-format-back-to-24h-for-non-US-locale.patch:
    Add upstreamed patch to fix locale-dependent clock format.
    The default is now 12h for en_US, and 24h (overridable by upstream
    translations) for all other locales.
  * d/p/Revert-Fix-default-clock-format-and-allow-localization.patch:
    Drop workaround for #1064042 from previous upload, no longer needed.

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Feb 2024 13:22:42 +0000

gsettings-desktop-schemas (46~beta-2) unstable; urgency=medium

  * Team upload
  * Revert locale-sensitive default for 12h/24h clock format.
    This was intended to change the default to 12h for American English,
    but had the side-effect of changing the default for all locales
    that have not specifically chosen 24h (like British English), and
    also for locales that are not supported by gsettings-desktop-schemas
    (like for example Welsh). Revert the change entirely for now, while
    we discuss a better way to get the desired effect.
    (Closes: #1064042)
    (Reopens: GNOME/gsettings-desktop-schemas#30 upstream)

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Feb 2024 21:32:41 +0000

gsettings-desktop-schemas (46~beta-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add dark-theme migration script using dh-migrations
    - Drop Breaks: ukwm because ukwm still runs but fails to build from source
      for unrelated reasons

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 08:30:42 -0500

gsettings-desktop-schemas (46~beta-1) unstable; urgency=medium

  * New upstream release
    - Enable tap-to-click by default
    - Add new show-status-shapes schema to show shapes in
      Adwaita on/off switches, disabled by default
    - Add xkb-model schema, used by GNOME Shell 46
    - Allow localization of clock format (in coordination with glib 2.78)
      (LP: #1956102)
  * Add patch to keep using the 45 default wallpaper. See #1060278

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 08:19:15 -0500

gsettings-desktop-schemas (45.0-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Drop Breaks: ukwm.
    It seems that the old ukwm still runs successfully with
    gsettings-desktop-schemas 45, and an updated version is failing to
    build in Ubuntu as a result of build-time test failures that are
    ignored in Debian.

  [ Simon McVittie ]
  * d/control: Stop generating from d/control.in
  * gsettings-desktop-schemas-dev: Add ${gir:Depends}, ${gir:Provides}.
    This gives us the option to split out GDesktopEnums-3.0.gir into its
    own binary package after all dependent source packages have been updated
    to build-depend on gir1.2-gdesktopenums-3.0-dev, allowing bootstrapping
    with GObject-Introspection disabled. (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Nov 2023 10:24:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,19 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gsettings-desktop-schemas
 Section: gnome
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               dh-sequence-migrations,
                libglib2.0-dev (>= 2.31.0),
                libgirepository1.0-dev (>= 1.31.0),
                meson (>= 0.57.0)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas/tree/ubuntu/master
-Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
+Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
 Homepage: https://www.gnome.org/
 
 Package: gsettings-desktop-schemas
@@ -42,7 +35,9 @@
 Architecture: any
 Depends: gsettings-desktop-schemas (>= ${source:Version}),
          gir1.2-gdesktopenums-3.0 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Multi-arch: same
 Description: Development files for GSettings desktop-wide schemas
  gsettings-desktop-schemas contains a collection of GSettings schemas for

## gsettings-desktop-schemas 46.1

=== debian/changelog ===
gsettings-desktop-schemas (46.1-0ubuntu1) noble; urgency=medium

  * New upstream release
    - Fixes systemd journal log spam in some languages once
      the language packs are updated (LP: #2064656)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 09:58:50 -0400

gsettings-desktop-schemas (46.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:08:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               dh-sequence-migrations,
                libglib2.0-dev (>= 2.31.0),
                libgirepository1.0-dev (>= 1.31.0),
                meson (>= 0.57.0)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
-Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas/tree/ubuntu/noble
+Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git -b ubuntu/noble
 Homepage: https://www.gnome.org/
 
 Package: gsettings-desktop-schemas

## gsettings-desktop-schemas 47.1

=== debian/changelog ===
gsettings-desktop-schemas (47.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 09:53:38 -0400

gsettings-desktop-schemas (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 09:52:33 -0400

gsettings-desktop-schemas (47~rc-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 05 Sep 2024 17:40:53 +0200

gsettings-desktop-schemas (47~rc-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 05 Sep 2024 17:12:44 +0200

gsettings-desktop-schemas (47~beta-1ubuntu2) oracular; urgency=medium

  * d/p: Add brown accent color support

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Aug 2024 06:36:21 -0400

gsettings-desktop-schemas (47~beta-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining change:
    - Add ubuntu_lock-on-suspend.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 18:31:46 -0400

gsettings-desktop-schemas (47~beta-1) unstable; urgency=medium

  * New upstream release
    - The default GNOME font has switched back to Cantarell
      where it is expected to stay for GNOME 47 and Debian Trixie
  * Remove all patches: applied in new release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 18:26:30 -0400

gsettings-desktop-schemas (47~alpha-2ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining change:
    - Add ubuntu_lock-on-suspend.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jul 2024 17:56:19 -0600

gsettings-desktop-schemas (47~alpha-2) unstable; urgency=medium

  * Cherry-pick translation fixes for clock-format log spam (LP: #2064656)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jul 2024 17:54:01 -0600

gsettings-desktop-schemas (47~alpha-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to switch default font from Cantarell to Inter

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Jul 2024 15:16:59 -0400

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               dh-sequence-migrations,
                libglib2.0-dev (>= 2.31.0),
                libgirepository1.0-dev (>= 1.31.0),
                meson (>= 0.57.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas/tree/ubuntu/noble
-Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git -b ubuntu/noble
+Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
+Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
 Homepage: https://www.gnome.org/
 
 Package: gsettings-desktop-schemas
@@ -41,7 +38,7 @@
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
-Multi-arch: same
+Multi-Arch: same
 Description: Development files for GSettings desktop-wide schemas
  gsettings-desktop-schemas contains a collection of GSettings schemas for
  settings shared by various components of a desktop.
@@ -54,7 +51,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Multi-arch: same
+Multi-Arch: same
 Description: GObject introspection for GSettings desktop-wide schemas
  gsettings-desktop-schemas contains a collection of GSettings schemas for
  settings shared by various components of a desktop.

## gsettings-desktop-schemas 48~beta

=== debian/changelog ===
gsettings-desktop-schemas (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Update gsettings override to still default to Cantarell and Monospace
    since the Adwaita Fonts are not in Debian yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 08:20:40 -0500

## gsettings-desktop-schemas 48.0

=== debian/changelog ===
gsettings-desktop-schemas (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support
    - Use xdg-terminal-exec for org.gnome.desktop.default-applications.terminal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 17:32:19 -0400

gsettings-desktop-schemas (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 09:50:12 -0400

gsettings-desktop-schemas (48~rc-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support
    - Use xdg-terminal-exec for org.gnome.desktop.default-applications.terminal

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 13 Mar 2025 14:33:19 +0100

gsettings-desktop-schemas (48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 13 Mar 2025 12:26:58 +0100

gsettings-desktop-schemas (48~beta-1ubuntu2) plucky; urgency=medium

  * gsettings-desktop-schemas.gsettings-override: Change exec and exec-arg
    to use xdg-terminal-exec.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Wed, 05 Mar 2025 11:01:06 +0100

gsettings-desktop-schemas (48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 08:36:26 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
-Build-depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                libglib2.0-dev (>= 2.31.0),
@@ -25,7 +25,7 @@
         gnome-panel (<< 3.49),
         libmutter-11-0,
         metacity (<< 1:3.49),
-#        ukwm (<< 1.2.0-2.1~),
+        ukwm (<< 1.2.1),
 Description: GSettings desktop-wide schemas
  gsettings-desktop-schemas contains a collection of GSettings schemas for
  settings shared by various components of a desktop.

## gsettings-desktop-schemas 49~alpha

=== debian/changelog ===
gsettings-desktop-schemas (49~alpha-0ubuntu1) questing; urgency=medium

  * New upstream release 49.alpha (LP: #2117619):
    - Switch to JXL for background image
    - Add option to configure restart/shutdown options being available in the
      lockscreen
    - Translation updates
  * Refreshed patch: debian/patches/ubuntu_lock-on-suspend.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 28 Jul 2025 13:41:08 +0800

## gsettings-desktop-schemas 49~beta

=== debian/changelog ===
gsettings-desktop-schemas (49~beta-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * Build-depend on gobject-introspection instead of libgirepository1.0-dev
  * Version a Breaks to stop Lintian warning about it
  * Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 16 Aug 2025 10:33:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: gsettings-desktop-schemas
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               gobject-introspection (>= 1.80),
                libglib2.0-dev (>= 2.31.0),
-               libgirepository1.0-dev (>= 1.31.0),
                meson (>= 0.57.0)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
 Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
@@ -23,7 +22,7 @@
          ${shlibs:Depends}
 Breaks: gnome-shell (<< 44),
         gnome-panel (<< 3.49),
-        libmutter-11-0,
+        libmutter-11-0 (<< 44),
         metacity (<< 1:3.49),
         ukwm (<< 1.2.1),
 Description: GSettings desktop-wide schemas

## gsettings-desktop-schemas 49~rc

=== debian/changelog ===
gsettings-desktop-schemas (49~rc-1ubuntu1) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support
    - Use xdg-terminal-exec for org.gnome.desktop.default-applications.terminal
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 05 Sep 2025 13:34:20 +0200

gsettings-desktop-schemas (49~rc-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Sep 2025 12:53:35 -0400

## gsettings-desktop-schemas 49.0

=== meson_options.txt ===
option('introspection',
       description: 'Whether to build introspection files',
       type: 'boolean',
       value: true)

=== debian/changelog ===
gsettings-desktop-schemas (49.0-1ubuntu1) questing; urgency=medium

  * Merge with debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 24 Sep 2025 16:54:46 +0200

gsettings-desktop-schemas (49.0-1) unstable; urgency=medium

  * New upstream release
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 08:10:13 -0400

## gsettings-desktop-schemas 49.1

=== debian/changelog ===
gsettings-desktop-schemas (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 18:33:50 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                libglib2.0-dev (>= 2.31.0),
                meson (>= 0.57.0)
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
 Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
 Homepage: https://www.gnome.org/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## gsettings-desktop-schemas 50~alpha

=== debian/changelog ===
gsettings-desktop-schemas (50~alpha-1ubuntu1) resolute; urgency=medium

  * Merge with Debian at version 50~alpha-1
  * Fix conflicts in accent-colors-Add-brown-color-for-temporary-usage.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 07 Jan 2026 15:54:43 +0800

gsettings-desktop-schemas (50~alpha-1) unstable; urgency=medium

  * New upstream release
  * Add patch to fix default terminal exec-arg

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jan 2026 09:18:09 -0500

gsettings-desktop-schemas (49.1-3ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support
    - Salsa CI: update for Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Dec 2025 08:56:57 -0500

gsettings-desktop-schemas (49.1-3) unstable; urgency=medium

  * gsettings-override: Stop overriding terminal exec
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Dec 2025 08:54:07 -0500

gsettings-desktop-schemas (49.1-2) unstable; urgency=medium

  * gsettings-override: Stop overriding default font from Adwaita to Cantarell
    but keep the Adwaita Mono to Monospace override
  * gsettings-override: Remove obsolete panel-main-menu keyboard shortcut
    override
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@debian.org>  Wed, 17 Dec 2025 17:12:28 -0500

gsettings-desktop-schemas (49.1-1ubuntu1) resolute; urgency=medium

  * Merge with debian (LP: #2130056). Remaining changes:
    - Add ubuntu_lock-on-suspend.patch
    - Add brown accent color support

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 05 Nov 2025 10:15:37 +0100

=== debian/control ===
Source: gsettings-desktop-schemas
Section: gnome
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gobject-introspection (>= 1.80),
               libglib2.0-dev (>= 2.31.0),
               meson (>= 0.57.0)
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas
Vcs-Git: https://salsa.debian.org/gnome-team/gsettings-desktop-schemas.git
Homepage: https://www.gnome.org/

Package: gsettings-desktop-schemas
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gnome-shell (<< 44),
        gnome-panel (<< 3.49),
        libmutter-11-0 (<< 44),
        metacity (<< 1:3.49),
        ukwm (<< 1.2.1),
Description: GSettings desktop-wide schemas
 gsettings-desktop-schemas contains a collection of GSettings schemas for
 settings shared by various components of a desktop.

# Needs to be Architecture: any so that dh_girepository
# can use it when not building Architecture: all
Package: gsettings-desktop-schemas-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gsettings-desktop-schemas (>= ${source:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Development files for GSettings desktop-wide schemas
 gsettings-desktop-schemas contains a collection of GSettings schemas for
 settings shared by various components of a desktop.
 .
 This package contains the development files.

Package: gir1.2-gdesktopenums-3.0
Section: introspection
Architecture: any
Depends: ${misc:Depends}
Multi-Arch: same
Description: GObject introspection for GSettings desktop-wide schemas
 gsettings-desktop-schemas contains a collection of GSettings schemas for
 settings shared by various components of a desktop.
 .
 This package contains introspection data for GSettings desktop-wide schemas. It
 can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Skip. We only use dh_gnome for dh_translations for Ubuntu
override_dh_gnome:
